## ros-one-sensor-filters 1.1.1-1jammy.20251215.2222

=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1jammy.20251215.2222) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 15 Dec 2025 22:22:42 +0000

ros-one-sensor-filters (1.1.1-0jammy) jammy; urgency=high

  * Reformatted, added catkin lint.
  * Simplified the license statements.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 07 Jun 2023 00:00:00 -0000

ros-one-sensor-filters (1.1.0-0jammy) jammy; urgency=high

  * Using image_transport and point_cloud_transport where applicable.
  * Noetic compatibility.
  * Improved README and added example files.
    Closes #1 <https://github.com/ctu-vras/sensor_filters/issues/1>.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 29 May 2023 00:00:00 -0000

ros-one-sensor-filters (1.0.5-0jammy) jammy; urgency=high

  * Fixed typo leading to segfaults when using ChangeHeader filter.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Fri, 30 Jul 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.4-0jammy) jammy; urgency=high

  * Added ChangeHeader filter
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 24 Jun 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.3-0jammy) jammy; urgency=high

  * Fixed data types of nodes.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 20 May 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.2-0jammy) jammy; urgency=high

  * Fix for Noetic.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 20 May 2021 00:00:00 -0000

ros-one-sensor-filters (1.0.1-0jammy) jammy; urgency=high

  * Initial version.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Wed, 19 May 2021 00:00:00 -0000
