=== debian/changelog ===
ros-one-sensor-filters (1.1.1-1jammy.20260222.0039) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sun, 22 Feb 2026 00:39:07 +0000
