=== debian/control ===
Source: ros-one-sensor-filters
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-filters, ros-one-image-transport, ros-one-nodelet, ros-one-point-cloud-transport, ros-one-roscpp, ros-one-sensor-msgs
Homepage: https://github.com/ctu-vras/sensor_filters
Standards-Version: 3.9.2

Package: ros-one-sensor-filters
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-filters, ros-one-image-transport, ros-one-nodelet, ros-one-point-cloud-transport, ros-one-roscpp, ros-one-sensor-msgs
Description: Simple sensor filter chain nodes and nodelets
